@import url("https://fonts.verwaltungsportal.de/import/?family=Poppins:400,400i,600,600i");
@import url("https://fonts.verwaltungsportal.de/import/?family=Playfair+Display:400");

html {
	max-width: 1930px;
	margin-left: auto;
	margin-right: auto;
	background: #fff;
	scroll-behavior: smooth;
	scroll-padding-top: 100px;
	scrollbar-color: #aa5f53 #ffffff;
	scrollbar-width: thin;
}

body {
	font-family: "Poppins", sans-serif;
	font-weight: 400;
	color: #383838;
	background: #ffffff;
	font-size: clamp(1rem, 2vw, 1.125rem);
	/* 1rem = 16px */
	line-height: 1.5;
}

a {
	color: #aa5f53;
}

a:is(:hover, :focus) {
	color: #aa5f53;
	text-decoration: underline;
}

.linkUnderline a:not(.has-image, .shareButtonLink) {
	text-decoration: underline;
	text-decoration-thickness: 1px;
	text-underline-offset: 3px;
	transition: text-decoration 300ms;
}

.linkUnderline a:not(.has-image, .shareButtonLink):is(:hover, :focus) {
	text-decoration-color: transparent;
}

:not(.cc_banner-wrapper, [id^="search_input"], [id^="search_submit"]):focus-visible,
#vernetzt:focus-visible span {
	background-color: #fff !important;
	color: #aa5f53 !important;
	z-index: 100;
	text-decoration: none;
	outline: 2px solid #aa5f53;
}

:is([id^="search_input"], [id^="search_submit"]):focus-visible {
	outline: 2px solid #000;
}

b,
strong {
	font-weight: 600;
}

:not(.cc_banner-wrapper, [id^="search_input"], [id^="search_submit"]):focus-visible,
#vernetzt:focus-visible span {
	background-color: #fff !important;
	color: #aa5f53 !important;
	z-index: 100;
	text-decoration: none;
	outline: 2px solid #aa5f53;
}

:is([id^="search_input"], [id^="search_submit"]):focus-visible {
	outline: 2px solid #000;
}

/* LOGO MIT TEXT -------------------------------------------------------- */

.logo {
	display: flex;
	flex-wrap: wrap;
	gap: 15px 15px;
	text-decoration: none !important;
	width: fit-content;
	min-height: 95px;
	margin-block: 20px;
	background: url(../img/bg-logo.png);
	min-width: 98px;
	background-repeat: no-repeat;
	background-position: center;
}

@media (min-width: 992px) {
	.logo {
		justify-content: center;
	}
}

.logo .template-page {
	width: auto;
}

.logo .cleaner {
	display: none;
}

.logoText {
	color: #5a5a5a;
	font-size: 1.125rem;
	align-content: center;
	line-height: 1.1;
	text-transform: uppercase;
	font-weight: 600;
}

.logoText :is(b, strong) {
	display: block;
	font-family: "Playfair Display", serif;
	font-weight: 400;
	text-transform: none;
	font-size: clamp(1.375rem, 3vw, 2.375rem);
	color: #383838;
}

.logoText br {
	display: none;
}

@media (max-width: 575px) {
	.logoText {
		hyphens: auto;
	}
}

.logo img {
	display: block;
	max-width: 30vw;
}

/* LOGO MIT TEXT -------------------------------------------------------- */

/* #region ---------------------------------- navigation ---------------------------------------- */

/* burgermenu for tablet */

@media (max-width: 991px) {
	#burgerButton {
		font-size: 0;
		border: none !important;
		display: block;
		height: 50px;
		width: 60px;
		border-radius: 2px;
		padding: 6px 8px;
		cursor: pointer;
		background-color: #ffffff;
		box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.08);
	}

	#burgerButton::before,
	#burgerButton::after,
	#burgerButtonInner {
		background-color: #aa5f53;
		border-radius: 2px;
		position: absolute;
		width: 40px;
		height: 3px;
		left: 10px;
		transition:
			transform 200ms linear,
			opacity 200ms linear;
	}

	.contrast_dark_font #burgerButton::before,
	.contrast_dark_font #burgerButton::after,
	.contrast_dark_font #burgerButtonInner {
		background-color: #000 !important;
	}
	.contrast_light_font #burgerButton::before,
	.contrast_light_font #burgerButton::after,
	.contrast_light_font #burgerButtonInner {
		background-color: #fff !important;
	}

	#burgerButton[aria-expanded="true"] #burgerButtonInner {
		transform: rotate(-45deg) translate(-6px, 6px);
	}

	#burgerButton[aria-expanded="true"]::before {
		opacity: 0;
	}

	#burgerButton[aria-expanded="true"]:after {
		transform: rotate(45deg) translate(-4px, -6px);
	}

	#burgerButtonInner {
		top: 16px;
	}

	#burgerButton::before {
		top: 24px;
		content: "";
	}

	#burgerButton::after {
		top: 32px;
		content: "";
	}

	.navbar-nav {
		margin: 20px 0;
	}

	.navbar-collapse {
		width: calc(100% - 90px);
		max-width: 300px;
		top: 0;
		background: #aa5f53;
		position: fixed;
		left: -100%;
		bottom: 0;
		z-index: 100;
		height: auto !important;
		opacity: 0;
		pointer-events: none;
		visibility: hidden;
		overflow-y: auto;
		transition:
			left 300ms linear,
			opacity 300ms linear,
			box-shadow 600ms linear;
		box-shadow: 250px 0 50vw 50vw rgba(255, 255, 255, 0);
	}

	.navbar-collapse:is([aria-expanded="true"], .in) {
		left: 0;
		opacity: 1;
		pointer-events: auto;
		visibility: visible;
		box-shadow: 250px 0 50vw 50vw rgba(0, 0, 0, 0.6);
	}

	.navbar-header {
		position: fixed;
		top: 15px;
		right: 15px;
		z-index: 101;
	}

	.dropdown-toggle-button-wrapper {
		top: 7px;
	}

	.dropdown-toggle-button-wrapper2 {
		top: 4px;
	}
}

/* menu desktop */

@media (min-width: 992px) {
	nav.horizontally {
		background-color: #aa5f53;
	}

	nav.horizontally .navbar-nav {
		display: flex;
		justify-content: space-between;
		align-items: center;
		flex-wrap: wrap;
	}

	nav.horizontally .navbar-nav ul {
		position: absolute;
		top: 100%;
		left: 0;
		z-index: 1000;
		display: block !important;
		pointer-events: none;
		opacity: 0;
		visibility: hidden;
		transition: opacity 300ms linear;
	}

	nav.horizontally .navbar-nav [class*="secondlevel"] > ul {
		left: 100%;
		top: 0;
	}

	nav.horizontally .navbar-nav li {
		position: relative;
	}

	nav.horizontally .navbar-nav li:is(.open:focus-within, :hover) > ul,
	nav.horizontally .navbar-nav li[class*="secondlevel"] > ul[style*="block"] {
		pointer-events: auto !important;
		opacity: 1 !important;
		visibility: visible;
	}

	nav.horizontally .navbar-nav li:is(:hover, :focus-within) > ul {
		z-index: 1003;
	}
}

/* toplevel */

nav.horizontally a[class*="toplevel"] {
	color: #ffffff;
	font-weight: 400;
	text-align: left;
	padding: 15px;
	text-transform: uppercase;
	position: relative;
	font-size: 1.25rem;
	line-height: 1.2;
	text-decoration: none;
}

@media (max-width: 991px) {
	nav.horizontally a[class*="toplevel"].dropdown-toggle {
		padding-right: 35px;
	}
}

@media (min-width: 992px) {
	nav.horizontally li[class*="toplevel"] + li {
		margin-left: 20px;
	}

	nav.horizontally a[class*="toplevel"] {
		text-align: center;
		padding: 28px 0;
	}
}

nav.horizontally a[class*="toplevel"]::before {
	content: "";
	width: 0;
	height: 3px;
	display: block;
	position: absolute;
	left: 0;
	bottom: 0;
	background-color: #ffffff;
	opacity: 0;
	transition:
		opacity 300ms linear,
		width 300ms;
}

/* toplevel-over */

nav.horizontally li[class*="toplevel"]:is(:hover, :focus-within) > a,
nav.horizontally li[class*="toplevel"] > a:is(:hover, :focus),
nav.horizontally li[class*="toplevel"].open > a,
nav.horizontally li[class*="toplevel"].open > a:is(:hover, :focus),
nav.horizontally li[class*="toplevel"][class*="_over"] > a,
nav.horizontally li[class*="toplevel"][class*="_over"] > a:is(:hover, :focus) {
	color: #ffffff;
	background-color: transparent;
}

nav.horizontally li[class*="toplevel"]:is(:hover, :focus-within) > a::before,
nav.horizontally li[class*="toplevel"] > a:is(:hover, :focus)::before,
nav.horizontally li[class*="toplevel"].open > a::before,
nav.horizontally li[class*="toplevel"].open > a:is(:hover, :focus)::before,
nav.horizontally li[class*="toplevel"][class*="_over"] > a::before,
nav.horizontally li[class*="toplevel"][class*="_over"] > a:is(:hover, :focus)::before {
	opacity: 1;
	width: 100%;
}

/* secondlevel + thirdlevel dropdown-box */

nav.horizontally [class*="toplevel"] ul {
	background-color: #fff;
	box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.2);
}

@media (max-width: 991px) {
	nav.horizontally [class*="toplevel"] ul {
		margin: 10px;
		padding: 10px;
	}
}

@media (min-width: 992px) {
	nav.horizontally [class*="toplevel"] ul {
		padding-top: 18px;
		padding-bottom: 18px;
	}

	nav.horizontally [class*="toplevel"] > ul {
		left: 0;
		margin-top: 10px;
	}

	nav.horizontally [class*="secondlevel"] > ul {
		margin-top: -18px;
		margin-left: 10px;
	}

	nav.horizontally [class*="toplevel"] > ul::before {
		content: "";
		position: absolute;
		display: block;
		height: 10px;
		left: 0;
		right: 0;
		top: -10px;
	}

	nav.horizontally [class*="secondlevel"] > ul::before {
		content: "";
		position: absolute;
		display: block;
		width: 10px;
		top: 0;
		bottom: 0;
		left: -10px;
	}
}

/* secondlevel + thirdlevel */

nav.horizontally a:is([class*="secondlevel"], [class*="thirdlevel"]) {
	color: #383838;
	font-weight: 400;
	text-align: left;
	padding: 12px 25px;
	font-size: 1rem;
	line-height: 1.2;
	text-decoration: none;
}

@media (max-width: 991px) {
	nav.horizontally a:is([class*="secondlevel"], [class*="thirdlevel"]) {
		text-align: left;
	}

	nav.horizontally a[class*="secondlevel"].dropdown-toggle2 {
		padding-right: 35px;
	}
}

/* secondlevel + thirdlevel over */

nav.horizontally li:is([class*="secondlevel"], [class*="thirdlevel"]):is(:hover, :focus-within) > a,
nav.horizontally li:is([class*="secondlevel"], [class*="thirdlevel"]) > a:is(:hover, :focus),
nav.horizontally li:is([class*="secondlevel"], [class*="thirdlevel"]).open > a,
nav.horizontally li:is([class*="secondlevel"], [class*="thirdlevel"]).open > a:is(:hover, :focus),
nav.horizontally li:is([class*="secondlevel"], [class*="thirdlevel"])[class*="_over"] > a,
nav.horizontally li:is([class*="secondlevel"], [class*="thirdlevel"])[class*="_over"] > a:is(:hover, :focus) {
	background: #aa5f53;
	color: #fff;
}

/* #endregion ------------------------------- navigation ---------------------------------------- */

/* -------------------------------------------- banner ------------------------------------------ */

#slider {
	max-height: clamp(300px, 42vw, 400px);
	position: relative;
}

@media (min-width: 992px) {
	body.index #slider {
		max-height: clamp(400px, 62vw, 600px);
	}

	#headerpic a.nivo-prevNav {
		left: 65px;
	}

	#headerpic a.nivo-nextNav {
		right: 65px;
	}
}

#headerpic {
	padding: 0;
	position: relative;
}

.slider-wrapper,
#slider {
	height: 100%;
}

.slider-mask {
	display: none;
}

/* ------------------------------------------- content ------------------------------------------ */

#content {
	text-align: left;
	padding-bottom: clamp(30px, 4vw, 60px);
	padding-top: clamp(30px, 4vw, 60px);
}

/* -------------------------------------- h1 - h6, newslink ------------------------------------- */

.h4link a:is(:link, :hover, :focus, :visited),
h6,
h5,
h4,
h3,
h2,
h1 {
	color: #aa5f53;
	font-weight: 400;
	line-height: 1.2;
	font-family: "Poppins", sans-serif;
}

h1,
.h1,
.legacy_h1 {
	font-size: clamp(1.875rem, 5.5vw, 2.8125rem);
}

h2,
.h2,
.legacy_h2 {
	font-size: clamp(1.75rem, 5vw, 2.5rem);
}

h3,
.h3,
.legacy_h3 {
	font-size: clamp(1.625rem, 4.5vw, 2.375rem);
}

h4,
.h4,
.h4link a:is(:link, :hover, :focus, :visited) .legacy_h4 {
	font-size: clamp(1.5rem, 4vw, 2.1875rem);
}

h5,
.h5,
.legacy_h5 {
	font-size: clamp(1.375rem, 3.5vw, 1.875rem);
}

h6,
.h6,
.legacy_h6 {
	font-size: clamp(1.25rem, 3vw, 1.5625rem);
}

/* ----------------------------------------------- @5f footer ----------------------------------------------- */

#f5 {
	padding-top: 12px;
	padding-bottom: 12px;
	background-color: #383838;
}

/* --------------------------------------------- innerfooter -------------------------------------------- */

@media (max-width: 767px) {
	#innerfooter {
		border-bottom: 1px solid rgba(255, 255, 255, 0.1);
		padding-bottom: 15px;
		margin-bottom: 15px;
	}
}

#innerfooter ul {
	padding: 0;
}

#innerfooter li {
	display: inline-block;
}

#innerfooter a {
	color: #ffffff;
	text-decoration: none;
	display: inline-block;
	font-size: 1rem;
}

#innerfooter a:hover,
#innerfooter a:focus {
	color: #ffffff;
	text-decoration: underline;
}

#innerfooter li + li::before {
	content: "";
	margin: 0 6px;
}

@media (min-width: 992px) {
	#innerfooter li + li::before {
		margin: 0 15px;
	}
}

@media (max-width: 767px) {
	#innerfooter li {
		display: block;
		text-align: center;
		padding: 5px;
		margin: 0;
	}

	#innerfooter li + li::before {
		display: none;
	}
}

/* --------------------------------------------- vernetzt -------------------------------------------- */

#vernetzt {
	gap: 12px;
	text-align: right;
	font-size: 0.9375rem;
	color: #ffffff;
	line-height: 1.3;
	text-decoration: none;
}

#vernetzt span span {
	display: block;
}
